Debian Bug report logs - #382843
libextutils-autoinstall-perl: Insufficient / misleading error message on permissions

version graph

Package: libextutils-autoinstall-perl; Maintainer for libextutils-autoinstall-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libextutils-autoinstall-perl is src:libextutils-autoinstall-perl.

Reported by: Ingo Wichmann <iw@linuxhotel.de>

Date: Sun, 13 Aug 2006 17:33:14 UTC

Severity: minor

Found in version libextutils-autoinstall-perl/0.59-1

Fixed in version libextutils-autoinstall-perl/0.61-1.1

Done: Steve McIntyre <93sam@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Bastian Blank <waldi@debian.org>:
Bug#382843; Package libextutils-autoinstall-perl. Full text and rfc822 format available.

Acknowledgement sent to Ingo Wichmann <iw@linuxhotel.de>:
New Bug report received and forwarded. Copy sent to Bastian Blank <waldi@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ingo Wichmann <iw@linuxhotel.de>
To: submit@bugs.debian.org
Subject: libextutils-autoinstall-perl: Insufficient / misleading error message on permissions
Date: Sun, 13 Aug 2006 19:13:44 +0200
Package: libextutils-autoinstall-perl
Version: 0.59-1
Severity: minor

While trying to install some package from cpan i got the following error
message:

You are not allowed to write to the directory '/home/iw/.cpan/sources'
    the installation may fail due to insufficient permissions.

But: /home/iw/.cpan/sources is writable. This change solved it for me:

diff /usr/share/perl5/ExtUtils/AutoInstall.pm
/usr/share/perl5/ExtUtils/AutoInstall.pm.orig
786c786
< *** You are not allowed to write to the directory '$path' or
$Config::Config{sitelib};
---
> *** You are not allowed to write to the directory '$path';



-- System Information:
Debian Release: 3.1
Architecture: i386 (i686)
Kernel: Linux 2.6.8-2-386
Locale: LANG=de_DE@euro, LC_CTYPE=de_DE@euro (charmap=ISO-8859-15)

Versions of packages libextutils-autoinstall-perl depends on:
ii  libmodule-install-perl     0.34-2        A Cornucopiaelig of
Module::Instal
ii  perl                       5.8.4-8sarge4 Larry Wall's Practical
Extraction

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Bastian Blank <waldi@debian.org>:
Bug#382843; Package libextutils-autoinstall-perl. Full text and rfc822 format available.

Acknowledgement sent to Steve McIntyre <steve@einval.com>:
Extra info received and forwarded to list. Copy sent to Bastian Blank <waldi@debian.org>. Full text and rfc822 format available.

Message #10 received at 382843@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve@einval.com>
To: 395857@bugs.debian.org, 382843@bugs.debian.org
Subject: NMU patch to fix these bugs
Date: Sat, 11 Nov 2006 13:36:37 +0000
[Message part 1 (text/plain, inline)]
I've just uploaded this from the BSP in Helsinki to close these bugs.

-- 
Steve McIntyre, Cambridge, UK.                                steve@einval.com
"We're the technical experts.  We were hired so that management could
 ignore our recommendations and tell us how to do our jobs."  -- Mike Andrews
[libextutils-autoinstall-perl_nmu.diff (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Reply sent to Steve McIntyre <93sam@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Ingo Wichmann <iw@linuxhotel.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 382843-close@bugs.debian.org (full text, mbox):

From: Steve McIntyre <93sam@debian.org>
To: 382843-close@bugs.debian.org
Subject: Bug#382843: fixed in libextutils-autoinstall-perl 0.61-1.1
Date: Sat, 11 Nov 2006 06:02:30 -0800
Source: libextutils-autoinstall-perl
Source-Version: 0.61-1.1

We believe that the bug you reported is fixed in the latest version of
libextutils-autoinstall-perl, which is due to be installed in the Debian FTP archive:

libextutils-autoinstall-perl_0.61-1.1.diff.gz
  to pool/main/libe/libextutils-autoinstall-perl/libextutils-autoinstall-perl_0.61-1.1.diff.gz
libextutils-autoinstall-perl_0.61-1.1.dsc
  to pool/main/libe/libextutils-autoinstall-perl/libextutils-autoinstall-perl_0.61-1.1.dsc
libextutils-autoinstall-perl_0.61-1.1_all.deb
  to pool/main/libe/libextutils-autoinstall-perl/libextutils-autoinstall-perl_0.61-1.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 382843@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Steve McIntyre <93sam@debian.org> (supplier of updated libextutils-autoinstall-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 11 Nov 2006 14:53:32 +0200
Source: libextutils-autoinstall-perl
Binary: libextutils-autoinstall-perl
Architecture: source all
Version: 0.61-1.1
Distribution: unstable
Urgency: medium
Maintainer: Bastian Blank <waldi@debian.org>
Changed-By: Steve McIntyre <93sam@debian.org>
Description: 
 libextutils-autoinstall-perl - Automatic install of dependencies via CPAN
Closes: 382843 395857
Changes: 
 libextutils-autoinstall-perl (0.61-1.1) unstable; urgency=medium
 .
   * NMU from the Helsinki BSP
   * Medium urgency for RC bugfix
   * Force the build-time test to stay inside the build tree. Closes: #395857
   * Give a more useful error message when permissions are insufficient.
     Closes: #382843. Thanks to Ingo Wichmann for the patch.
Files: 
 84bb4a423e8e32e551b386af70d02d70 683 perl optional libextutils-autoinstall-perl_0.61-1.1.dsc
 3b6d9e167fffee6122f359a021023d18 1974 perl optional libextutils-autoinstall-perl_0.61-1.1.diff.gz
 5897eaa1860c765f7dc45f0def4be819 25252 perl optional libextutils-autoinstall-perl_0.61-1.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFFVdIAfDt5cIjHwfcRAi/iAJ0RbyCFNgCEls1nINmBwDA/7jtfZgCeKUTU
RufdAKqNQddfuxgzGsvU/cU=
=4mF3
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 09:52:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 14:36:00 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.